Bug 1956907

Summary: After updating Fedora 33 to Fedora 34, X uses only part of screen
Product: [Fedora] Fedora Reporter: Jukka Lahtinen <jslahtin>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 34CC: ajax, jglisse, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jukka Lahtinen 2021-05-04 15:50:42 UTC
Description of problem:
I upgraded from Fedora33 to Fedora34 with dnf system-upgrade on the 2nd of May.
After the upgrade X11 uses only part of my screen, leaving huge black margin on right and bottom.
I use kde, my processor is an Intel Core i5 with the builtin display adapter connected to an LG monitor (which I bought for my previous computer in December 2009) with a DVI-D cable.
I run my system on runlevel 3, and the text mode virtual consoles use the whole screen, but when I start the graphical interface with the startx command, it uses only part of the screen. The monitor resolution is 1680x1050 at 60 Hz, but when I go to System settings/Display configuration, it shows resolution 1024x768 and doesn't offer any other choices. It shows the monitor as manufacturer_TODO and model_TODO.
Before the F33->F34 upgrade, it worked fine and used the whole screen. So it did with F32, which I initially installed last summer, upgraded to F33 in November.
The system information shows Graphics Platform: Wayland. I think it was something else before the upgrade, but I'm not sure about it.

Version-Release number of selected component (if applicable):
Fedora 34

How reproducible:
All the time when I have X11 running.

Steps to Reproduce:
1.
2.
3.

Actual results:
Display using only part of the screen

Expected results:
Whole screen used

Additional info:
Not sure if xorg-x11-drv-intel is the right component, but it felt most likely when I had to choose something.
I also tried a Dell monitor, but it behaves the same way.

Comment 1 Jukka Lahtinen 2021-05-05 10:20:07 UTC
I updated xorg-x11-xinit to 1.4.0-10 from 1.4.0-9 (and fstrm to 0.6.1-2 from 0.6.0-4) and that fixed the problem.

Comment 2 Jukka Lahtinen 2021-05-08 21:15:38 UTC
The problem got fixed with my primary computer (built last June) on Wednesday the 4th of May when I updated xorg-x11-xinit to 1.4.0-10 (and fstrm to 0.6.1-2 in the same transaction), but my older computer, built in December 2009, still only used part of the screen with X.
The older computer got the problem fixed on the 8th of May, when I got updates for the plasma packages (5.21.5-1 on some and 5.21.5-3 on some others), kde-gtk-config (5.21.5-1) and breeze-gtk-* (5.21.5-1), not sure which of them was critical as I updated them in the same transaction.
Now I consider the problem fixed.